%define major	2
%define api	1.0
%define libname	%mklibname instpatch %{api} %{major}
%define devname	%mklibname instpatch -d

Name:		libinstpatch
Version:	1.1.7
Release:	%mkrel 1
Summary:	Instrument file software library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://github.com/swami/libinstpatch
Source0:	https://github.com/swami/libinstpatch/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(sndfile)

%description
Library for processing digital sample based MIDI instrument "patch" files.
The types of files libInstPatch supports are used for creating
instrument sounds for wavetable synthesis. libInstPatch provides
an object framework (based on GObject) to load patch files into,
which can then be edited, converted, compressed and saved.

#-----------------------------------

%package -n %{libname}
Summary:	Instrument file software library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Library for processing digital sample based MIDI instrument "patch" files.
The types of files libInstPatch supports are used for creating
instrument sounds for wavetable synthesis. libInstPatch provides
an object framework (based on GObject) to load patch files into,
which can then be edited, converted, compressed and saved.

%files -n %{libname}
%doc AUTHORS
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

#-----------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	instpatch-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries and headers for %{name}.

%files -n %{devname}
%{_includedir}/%{name}-2/
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

#-----------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install


%changelog
* Fri May 23 2025 daviddavid <daviddavid> 1.1.7-1.mga10
+ Revision: 2186054
- new version: 1.1.7

* Fri May 16 2025 ns80 <ns80> 1.1.6-3.mga10
+ Revision: 2183866
- add a patch from Fedora to try to fix building with GCC 15

* Thu Mar 31 2022 umeabot <umeabot> 1.1.6-2.mga9
+ Revision: 1836189
- Mageia 9 Mass Rebuild

* Tue Jan 26 2021 daviddavid <daviddavid> 1.1.6-1.mga8
+ Revision: 1673516
- new version: 1.1.6

* Wed Dec 23 2020 daviddavid <daviddavid> 1.1.5-1.mga8
+ Revision: 1663086
- initial package libinstpatch (needed for muse)

